/* stylelint-disable */
#cc-main {
    --secondary-icon-gradient: linear-gradient(224.93deg, rgb(150 170 183 / 40%) -0.12%, rgb(114 136 150 / 40%) 100%);
    --cc-bg: #{$white};
    --cc-text: #{$black};
    --cc-font-family: var(--font-barlow);

    /** Change button color **/
    --cc-btn-primary-bg: #{$secondary-color};
    --cc-btn-primary-border-color: transparent;
    --cc-btn-primary-hover-bg: #{$secondary-color-hover};
    --cc-btn-primary-hover-border-color: transparent;
    --cc-btn-secondary-bg: $white;
    --cc-btn-secondary-border-color: #{$gray-400};
    --cc-modal-border-radius: 0;

    /** Changes toggles color **/
    --cc-toggle-on-bg: #{$primary-color};
    --cc-toggle-off-bg: var(--secondary-icon-gradient);
    --cc-toggle-enabled-icon-color: $white;
    --cc-toggle-disabled-icon-color: $white;
    --cc-toggle-readonly-bg: #{$primary-color};
    --cc-toggle-readonly-knob-icon-color: $white;
    --cc-cookie-category-block-bg: $white;
    --cc-cookie-category-block-border: transparent;
    --cc-cookie-category-block-hover-bg: $gray-400;
    --cc-cookie-category-block-hover-border: #{$white};
    --cc-cookie-category-expanded-block-bg: #{$white};
    --cc-cookie-category-expanded-block-hover-bg: $gray-400;

    /** styles for the cookie banner **/
    button {
        @include paragraph-p3;

        height: 40px;
        border-radius: 12px !important;

        span {
            @include paragraph-p3;

            font-family: var(--font-barlow);
            font-weight: 500;
        }
    }

    .cm {
        margin: 1rem !important;
        font-family: var(--font-barlow);

        @include tablet {
            margin: 0 auto !important;
        }
    }

    .cm--bar .cm__body h2 {
        margin: 0 20px 16px !important;
        padding-bottom: 2rem !important;
        display: flex !important;
        align-items: center !important;
    }

    .cm--bar .cm__body h2,
    .cm--bar .cm__body p {
        color: var(--cc-text) !important;
    }

    /** consent modal **/
    .cm--bar .cm__body,
    .cm--bar .cm__links {
        max-width: $max-inner-width !important;

        @include notebook {
            padding: 4rem 4em 6rem !important;
        }

        @include desktop {
            padding: 4rem 0 6rem !important;
        }
    }

    .cm__title {
        font-family: var(--font-barlow);
        font-size: 24px !important;
        line-height: 32px !important;
        padding: 0 !important;
        font-weight: 700 !important;

        @include notebook {
            font-size: 32px !important;
            line-height: 40px !important;
        }
    }

    .cm__title + .cm__desc {
        font-family: var(--font-barlow);
        font-weight: 400 !important;
        padding: 22px !important;
        margin: 0 !important;

        @include paragraph-p3;
    }

    .cm--bar .cm__btns {
        border-top: none !important;
    }

    .cc--anim .cm__btn[data-role="all"] {
        display: inline-flex !important;
        align-items: center !important;
        justify-content: center !important;

        &::before {
            display: inline-flex !important;
            margin-right: 0.75rem !important;
            content: "";
            background-image: url("./checked-white.svg") !important;
            background-size: 1rem 1rem !important;
            width: 1rem !important;
            height: 1rem !important;
        }
    }

    .cm--bar:not(.cm--inline) .cm__btn-group--uneven,
    .cm--wide .cm__btn-group--uneven {
        gap: 10px !important;
    }

    /** preferences modal **/
    .pm {
        margin: 1rem !important;

        @include notebook {
            margin: 0 auto !important;
        }
    }

    .pm__header {
        margin: 1rem 0 0 1rem !important;
        padding: 0 !important;
        border-bottom: 1px solid rgba($primary-color, 0.16) !important;

        @include notebook {
            margin: 4rem 4rem 0 !important;
            padding-bottom: 0.5rem !important;
        }

        .pm__title {
            font-size: 20px !important;
            line-height: 28px !important;
            font-weight: 700 !important;
            padding-bottom: 2rem !important;
        }
    }

    .pm__body {
        padding-top: 2rem !important;
        height: fit-content !important;

        @include notebook {
            padding: 1rem 4rem !important;
        }
    }

    .pm__footer {
        border-top: none !important;
        gap: 1rem !important;
        flex-direction: column-reverse !important;

        @include notebook {
            flex-direction: row !important;
            padding: 1rem 4rem 4rem !important;
        }

        .pm__btn-group {
            flex-direction: row-reverse !important;
            gap: 0.75rem;

            @include notebook {
                flex-direction: row !important;
            }

            button {
                @include paragraph-p3;

                font-family: var(--font-roboto);
                font-weight: 500 !important;
                margin: 0 !important;
            }
        }
    }

    /** close button **/
    .pm__close-btn,
    .pm__close-btn:hover {
        background-color: $white !important;
        border-color: $white !important;
        align-self: flex-start !important;
    }

    .pm__btn[data-role="all"] {
        display: inline-flex !important;
        align-items: center !important;
        justify-content: center !important;

        &::before {
            display: inline-flex !important;
            margin-right: 0.75rem !important;
            content: "";
            background-image: url("./checked-white.svg") !important;
            background-size: 1rem 1rem !important;
            width: 1rem !important;
            height: 1rem !important;
        }
    }

    /** acceptNecessaryBtn **/
    .pm__btn + .pm__btn,
    .pm__btn-group + .pm__btn-group {
        background-color: $white !important;
        color: var(--cc-text) !important;
        border-color: $gray-400 !important;

        &:hover {
            background-color: #{$gray-400} !important;
            color: var(--cc-text);
            border-color: $gray-400;
            border-radius: 12px !important;
        }
    }

    /** toggle icon-on **/
    .toggle__icon-on svg {
        stroke: $white !important;
    }

    /** section toggle button **/
    .pm__section-arrow {
        background-color: $white !important;
    }

    .pm__section-toggles {
        @include h5;

        color: var(--cc-text) !important;

        div {
            &:last-child {
                background-color: $white !important;
                position: relative !important;
                z-index: 5 !important;
            }
        }
    }

    /** section **/
    .pm__section-title-wrapper {
        font-family: var(--font-barlow);
        box-shadow:
            0 6px 9px 0 rgb(0 0 0 / 2%),
            0 19px 30.37738037109375px 0 rgb(0 0 0 / 2.38%),
            0 84px 136px 0 rgb(0 0 0 / 4%) !important;

        button {
            @include paragraph-p3;

            font-weight: 500 !important;
        }
    }

    .pm__section-title {
        border-radius: 0;
        font-weight: 700;
    }

    .pm__section--toggle .pm__section-desc {
        @include paragraph-p3;

        color: var(--cc-text) !important;
        border-radius: 0 !important;
        background-color: #{$white} !important;
        box-shadow:
            0 6px 9px 0 rgb(0 0 0 / 2%),
            0 19px 30.37738037109375px 0 rgb(0 0 0 / 2.38%),
            0 84px 136px 0 rgb(0 0 0 / 4%) !important;
        z-index: 5 !important;
    }
}
